diff --git a/manual/luatex-graphics.tex b/manual/luatex-graphics.tex
index 84118f68e..5f2b1f0e5 100644
--- a/manual/luatex-graphics.tex
+++ b/manual/luatex-graphics.tex
@@ -797,7 +797,7 @@ id in the range 0 to 255; the returned \type {w} is in AFM units.
 <number> w = char_depth(mp,<string> fontname, <number> char)
 \stopfunctioncall
 
-\subsubsection{\type {get[boolean|numeric|string|path]}}
+\subsubsection{\type {get_[boolean|numeric|string|path]}}
 
 \libindex{get_boolean}
 \libindex{get_numeric}
@@ -809,10 +809,10 @@ When a script call brings you from the \METAPOST\ run (temporarily) back to
 anonymous capsules like loop variables are not accessible).
 
 \startfunctioncall
-<boolean> w = getboolean(mp,<string> name)
-<number>  n = getnumeric(mp,<string> name)
-<string>  s = getstring (mp,<string> name)
-<table>   p = getpath   (mp,<string> name)
+<boolean> w = get_boolean(mp,<string> name)
+<number>  n = get_numeric(mp,<string> name)
+<string>  s = get_string (mp,<string> name)
+<table>   p = get_path   (mp,<string> name)
 \stopfunctioncall
 
 The path is returned a a table with subtables that have six numbers: the
diff --git a/source/texk/web2c/mplibdir/mp.w b/source/texk/web2c/mplibdir/mp.w
index d52ad37ce..0a252cd92 100644
--- a/source/texk/web2c/mplibdir/mp.w
+++ b/source/texk/web2c/mplibdir/mp.w
@@ -4797,7 +4797,7 @@ double mp_get_numeric_value (MP mp, const char *s, size_t l) {
 	   mp_loop_data *s;
            s = mp->loop_ptr;
            while (s != NULL && sym != s->var)
-             s = mp->loop_ptr->link;
+             s = s->link;
            if (s != NULL &&  sym == s->var ){
 	     mp_xfree (ss);
              return number_to_double(s->old_value) ;
-- 
2.18.0

